<?php

namespace App\Modules\GroupProvider\Application;

use App\Modules\Shared\Domain\Bus\Query\Response;

class GroupProviderResponses implements Response
{

    private array $data;

    public function __construct(GroupProviderResponse ...$data)
    {
        $this->data = $data;
    }

    public function data()
    {
        return $this->data;
    }
}
